<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="top.continew.admin.business.mapper.TaskInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="top.continew.admin.business.model.entity.TaskInfo">
        <id column="id" property="id" />
        <result column="name" property="name" />
        <result column="name_ja" property="nameJa" />
        <result column="name_ko" property="nameKo" />
        <result column="name_th" property="nameTh" />
        <result column="name_vi" property="nameVi" />
        <result column="name_ru" property="nameRu" />
        <result column="name_en" property="nameEn" />
        <result column="name_pt" property="namePt" />
        <result column="name_fa" property="nameFa" />
        <result column="name_es" property="nameEs" />
        <result column="instruction" property="instruction" />
        <result column="task_icon" property="taskIcon" />
        <result column="task_link" property="taskLink" />
        <result column="category_code" property="categoryCode" />
        <result column="status" property="status" />
        <result column="gold_coin" property="goldCoin" />
        <result column="sort_num" property="sortNum" />
        <result column="is_deleted" property="isDeleted" />
        <result column="create_by" property="createBy" />
        <result column="update_by" property="updateBy" />
        <result column="create_time" property="createTime" />
        <result column="updated_time" property="updatedTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, name, name_ja, name_ko, name_th, name_vi, name_ru, name_en, name_pt, name_fa, name_es, instruction, frequency, task_type, random, loop_day, task_icon, key, task_link, category_code, status, gold_coin, sort_num, del_flag, create_by, create_time, updated_time
    </sql>

</mapper>
